window.onload = function() {
	//  Get all references to the page elements
	var form = document.getElementById('form-message');
	var txtMsg = document.getElementById('message');
	var msgList = document.getElementById('messages');
	var socketStatus = document.getElementById('status');
	var btnClose = document.getElementById('close');
	
	var socket = new WebSocket('ws://echo.websocket.org');

	socket.onopen = function(event) { 
		socketStatus.innerHTML = 'Connected!';
		socketStatus.className = 'open';
	};

	socket.onerror = function(error) { 
		console.log('WebSocket error: ' + error); 
	};
	
	form.onsubmit = function(e) {
		e.preventDefault();
	   
		// Recovering the textarea message.
		var message = txtMsg.value;
	   
		// Sending the message through the WebSocket.
		socket.send(message);
	   
		// Adding the message in a sent list.
		msgList.innerHTML += '<li class="envia"><span>Sent:</span>' + message + '</li>';
	   
		// Cleaning the field with the message after the sending.
		txtMsg.value = '';
	   
		return false;
  };
};